Summary:	Tools for searching and reading man pages
Name:		man-db
Version:	2.6.2
Release:	3
# project man-db  GPLv2+
# Gnulib part     GPLv3+
License:	GPL v2+ and GPL v3+
Group:		Base
URL:		http://www.nongnu.org/man-db/
Source0:	http://download.savannah.gnu.org/releases/man-db/%{name}-%{version}.tar.gz
# Source0-md5:	8fecb7d7b90e27f5d669269141d09cee
Source1:	%{name}.daily
Source2:	%{name}.sysconfig
Patch0:		so-include.patch
# Resolves: #655385 - use old format of nroff output
Patch1:		sgr.patch
Patch2:		man-db-gnulib.patch
BuildRequires:	gdbm-devel
BuildRequires:	gettext
BuildRequires:	groff
BuildRequires:	less
BuildRequires:	libpipeline-devel
BuildRequires:	po4a >= 0.41
BuildRequires:	zlib-devel
Requires:	coreutils
Requires:	crontabs
Requires:	grep
Requires:	groff
Requires:	gzip
Requires:	less
Provides:	man-pages-reader = %{version}
Obsoletes:	man < 1.7
Obsoletes:	man-config
Obsoletes:	man-whatis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cache	/var/cache/man

%description
The man-db package includes five tools for browsing man-pages: man,
whatis, apropos, manpath and lexgrog. man preformats and displays
manual pages. whatis searches the manual page names. apropos searches
the manual page names and descriptions. manpath determines search path
for manual pages. lexgrog directly reads header information in manual
pages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure\
	--with-sections="1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x" \
	--disable-setuid \
	--with-browser=elinks

%{__make} \
	V=1 \
	CC="%{__cc} %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL='install -p' \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

# move the documentation to relevant place
mv $RPM_BUILD_ROOT%{_datadir}/doc/man-db/* ./

# remove libtool archives
%{__rm} $RPM_BUILD_ROOT%{_libdir}/man-db/*.la

# install cache directory
install -d $RPM_BUILD_ROOT%{cache}

# install cron script for man-db creation/update
install -D -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/man-db.cron

# config for cron script
install -D -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/man-db

%find_lang %{name}
%find_lang %{name}-gnulib
cat %{name}-gnulib.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README man-db-manual.txt man-db-manual.ps docs/COPYING ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/man_db.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/man-db
%attr(750,root,root) /etc/cron.daily/man-db.cron
%attr(755,root,root) %{_sbindir}/accessdb
%attr(755,root,root) %{_bindir}/man
%attr(755,root,root) %{_bindir}/whatis
%attr(755,root,root) %{_bindir}/apropos
%attr(755,root,root) %{_bindir}/manpath
%attr(755,root,root) %{_bindir}/lexgrog
%attr(755,root,root) %{_bindir}/catman
%attr(755,root,root) %{_bindir}/mandb
%attr(755,root,root) %{_bindir}/zsoelim
%dir %{_libdir}/man-db
%{_libdir}/man-db/*.so
%{_libdir}/man-db/globbing
%{_libdir}/man-db/manconv
%dir %{cache}
# documentation and translation
%{_mandir}/man1/apropos.1*
%{_mandir}/man1/lexgrog.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/manconv.1*
%{_mandir}/man1/manpath.1*
%{_mandir}/man1/whatis.1*
%{_mandir}/man1/zsoelim.1*
%{_mandir}/man5/manpath.5*
%{_mandir}/man8/accessdb.8*
%{_mandir}/man8/catman.8*
%{_mandir}/man8/mandb.8*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(id) %{_mandir}/id/man*/*
%lang(it) %{_mandir}/it/man*/*
%lang(ja) %{_mandir}/ja/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%lang(ru) %{_mandir}/ru/man*/*
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/man-db.git;a=log;h=master

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> d7befb2
added virtual provides for bundled gnulib library

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> edda3df
Typo

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> ba7277b
Don't provide man (no need to)
Be sure to Obsolete all possible man versions
Release 2

* Wed Jun 20 2012 Łukasz Kieś <kiesiu@pld-linux.org> 02128c2
- updated to 2.6.2

* Fri May 04 2012 Szymon Siwek <sls@pld-linux.org> e68439e
- BR: po4a >= 0.41

* Mon Apr 23 2012 Jan Rękorajski <baggins@pld-linux.org> 6a43934
- rel 7
- Provide man

* Tue Mar 20 2012 Jan Rękorajski <baggins@pld-linux.org> bfe23e9
- cosmetics, use 0-char not NULL

* Tue Mar 20 2012 Jan Rękorajski <baggins@pld-linux.org> 6bd3f6d
- rel 6
- apparently man-db requires .so includes in the form ".so manX/cmd.X"
  hack it to understand directives without a directory

* Mon Mar 12 2012 Jan Rękorajski <baggins@pld-linux.org> ea92886
- rel 5
- O man-config

* Thu Mar 08 2012 Jan Rękorajski <baggins@pld-linux.org> 120ad92
- rel 4

* Thu Mar 08 2012 Jan Rękorajski <baggins@pld-linux.org> 5776304
- whatis in main package

* Thu Mar 08 2012 Jan Rękorajski <baggins@pld-linux.org> f23512f
- remove fedora-specific bits
- set cron script to ug+x

* Thu Mar 08 2012 Jan Rękorajski <baggins@pld-linux.org> 1b8c110
- rel 3
- obsolete man from obsoleted.spec

* Thu Mar 08 2012 Jan Rękorajski <baggins@pld-linux.org> e28a95d
- rel 2
- don't provide man as it causes conflicts when updating via obsoleted.spec

* Wed Feb 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> f1a97f7
- updated to 2.6.1

* Tue Aug 30 2011 Elan Ruusamäe <glen@pld-linux.org> 0b7e10d
- initial, based on fedora package

